Bug 78423 - MAC: Project tree, palette and diagram area are blocked after web report generation
MAC: Project tree, palette and diagram area are blocked after web report gene...
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Reporting
5.x
All Mac OS X
: P1 (vote)
: TBD
Assigned To: Kris Richards
issues@uml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-19 23:57 UTC by bugbridge
Modified: 2006-10-06 12:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugbridge 2006-06-19 23:57:40 UTC
Original status: 1-Dispatched; Suggested Status: NEW

Original submitter: sergeyp

Description:
reproducible with coke_tpr2 on mac-osx-10.4.5/java1.5.06
safari 2.0.3(417.8) - default browser

steps to reproduce:
1. create java platform uml project
2. add package with scoped class diagram
3. add class and name
4. generate web report (default)
5. press done oin wizard
safari is opened 
6. close the browser
7. try to select anything in project tree, palette, diagram
it's impossible
(but some toolbar buttons are accessible/ context menu in project accessible too)
8. invoke Close from context on uml project
project isn't closed

Evaluation:
This problem might be related to issue 78422 and could be the same type of
problem that causes the tool to hang after the operation.

Evaluation (Entry 2):
Actually, further testing shows that the tool itself or IDE is not hanging fully
but partially. No selection on anything is happening and  but the tool still
seems to function in an invisible mode. I mean I could create new diagram, new
elements, etc. but I won't see them until I restarted the IDE.
Comment 1 Kris Richards 2006-09-21 19:12:12 UTC
fixed as a result of UML Progress Dialog
Comment 2 Sergey Petrov 2006-10-06 12:29:09 UTC
verified with nb061002+uml?061006?


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo